Subject: bug#8690: 24.0.50; `declare' doc; conflict with cl-macs.el

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 15 Jul 2011 17:00:54 +0200

"Drew Adams" <[email-masked]> writes:

> But if they are identical, then we should remove the cl.el version altogether,
> so I'm guessing that they are not.

They're quite different.

Here's the cl.el doc string:

---
Declare SPECS about the current function while compiling.
For instance

  \(declare (warn 0))

will turn off byte-compile warnings in the function.
---

(If I were dictator, I'd dump Emacs with cl* in the image and get rid of
all these almost-cl functions from subr.el, but that's another long, old
and boring argument.)

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/